Batch is a project administrated by the Batch.com team. Thank you for your interest to contribute! 🙏

# Closed development & public releases
While the Batch SDK' sources are publicly available on this repo, we develop the SDK privately, and only push releases on here. All commits from our team won’t be visible publicly for now.
# Integration questions
If you encounter any issue during your integrations, you are most likely to find an answer in:
- Our [public documentation](https://doc.batch.com/)
- Our [help center](https://help.batch.com/en/)

Both of these ressources are updated regularly and cover many troubleshooting options. 

If you’re still blocked, please reach out to our support team at support@batch.com or via the Live-Chat, available on every page of the Batch dashboard. It’s the best way to make sure your question is handled by the right person in our team and in timely manners. It will also allow you to share more context you would rather not share publicly. For example, information about your account and plan, and most importantly debug information (as identifiers).

If you submit an issue to discuss an integration question, we will ask you to use these communication channels for these reasons.

# Feature & improvement requests 
We look at all feature requests with great interest, and they will be be balanced with our own internal roadmap. 

More often than not, feature requests regarding Batch SDK will actually concern the Batch product as a whole (if you’re already a client, you may know our dashboard or APIs for example). We also have internal processes to qualify and process your feedbacks that can include user interview, or need broader context on your needs. 

Even if you’re confident that your feature requests relies only in the scope of the SDK we still ask you to submit your request at the support@batch.com address for tracking purposes.

# Bug fixes
If you think you've discovered a bug in our SDK, our support team is available at support@batch.com to make sure the issue is taken care of as quickly as possible. There is nothing like too much information in these cases so make sure you:
- Describe your environment 
- Provide detailed reproduction steps
- Provide a minimal reproduction project: this isn’t compulsory but will reduce greatly the resolution time 
- Include detailed logs: It’s best to provide the rawest logs possible, please don’t try filter them
- Includes a Stack Trace: If your issue involves a crash, this is absolutely compulsory, and should be as raw as possible
 
You can also open an issue for it, using the appropriate template and respecting the same rules. However, we do have a longer response time here than by email or the Live Chat. 

# Pull requests
We don’t accept pull requests at the moment. 